#!/usr/bin/python3
# -*- coding: utf-8 -*- 
#smartremocon.py
 
import paho.mqtt.client as mqtt  # MQTTのライブラリをインポート
import subprocess
import json
from time import sleep
 
HOST = 'mqtt.beebotte.com'
PORT = 8883
CA_CERTS = 'mqtt.beebotte.com.pem'
TOKEN = 'token_xxxxxxxx'    #Beebotteで作成したチャンネルのトークンを入力
TOPIC = 'xxxxx/xxxxxxxx'    #Beebotteで作成したトピック名を入力
 
def on_connect(client, userdata, flags, respons_code):  # ブローカーに接続できたときの処理
    print('status {0}'.format(respons_code))
 
def on_disconnect(client, userdata, flags, respons_code):# ブローカーが切断したときの処理
    print("Unexpected disconnection.")
    client.loop_stop()
 
def on_message(client, userdata, msg):  # メッセージが届いたときの処理
    print(msg.payload.decode("utf-8"))
    try:
        data = json.loads(msg.payload.decode("utf-8"))["data"]
        for dat in data:
            print(dat)
    except :
        print("jsonフォーマットエラー")
#   finally:

if __name__ == '__main__':
    client = mqtt.Client()        # クラスのインスタンスの作成
    client.on_connect = on_connect     # 接続時のコールバック関数を登録
    client.on_disconnect = on_disconnect   # 切断時のコールバックを登録
    client.on_message = on_message  # メッセージ到着時のコールバック
    client.username_pw_set('token:%s' % TOKEN)
    client.tls_set("/etc/ssl/certs/ca-certificates.crt")
    client.connect(HOST, PORT)   # 接続
    client.subscribe(TOPIC)
    client.loop_forever() # 永久ループして待ち続ける